Permalink
Browse files

whitespace, remove pp

  • Loading branch information...
1 parent 64b1ef0 commit 49e0a2a235777559aa96a85458e9102dee597369 @indirect indirect committed May 17, 2011
Showing with 7 additions and 10 deletions.
  1. +0 −2 lib/bundler/cli.rb
  2. +7 −8 spec/other/outdated_spec.rb
View
2 lib/bundler/cli.rb
@@ -289,7 +289,6 @@ def show(gem_name = nil)
"Do not attempt to fetch gems remotely and use the gem cache instead"
def outdated(*gems)
sources = Array(options[:source])
-
current_specs = Bundler.load.specs
if gems.empty? && sources.empty?
@@ -298,7 +297,6 @@ def outdated(*gems)
else
definition = Bundler.definition(:gems => gems, :sources => sources)
end
-
options["local"] ? definition.resolve_with_cache! : definition.resolve_remotely!
Bundler.ui.info "Outdated gems included in the bundle:"
View
15 spec/other/outdated_spec.rb
@@ -1,28 +1,27 @@
require "spec_helper"
-require "pp"
describe "bundle outdated" do
-
+
context "without Git repo" do
before :each do
build_repo2 do
build_git "foo", :path => lib_path("foo")
end
-
+
install_gemfile <<-G
source "file://#{gem_repo2}"
gem "activesupport", "2.3.5"
gem "foo", :git => "#{lib_path('foo')}"
G
end
-
+
describe "with no arguments" do
it "returns list of outdated gems" do
update_repo2 do
build_gem "activesupport", "3.0"
update_git "foo", :path => lib_path("foo")
end
-
+
bundle "outdated"
out.should include("activesupport (3.0 > 2.3.5)")
out.should include("foo (1.0")
@@ -32,19 +31,19 @@
describe "with --local option" do
it "doesn't hit repo2" do
FileUtils.rm_rf(gem_repo2)
-
+
bundle "outdated --local"
out.should_not match(/Fetching source index/)
end
end
-
+
describe "with specified gems" do
it "returns list of outdated gems" do
update_repo2 do
build_gem "activesupport", "3.0"
update_git "foo", :path => lib_path("foo")
end
-
+
bundle "outdated foo"
out.should_not include("activesupport (3.0 > 2.3.5)")
out.should include("foo (1.0")

0 comments on commit 49e0a2a

Please sign in to comment.